For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
API StatusPartner Portal
HomeGuidesAPI ExplorerSDKsGitHubSupport
HomeGuidesAPI ExplorerSDKsGitHubSupport
  • API Concepts
    • Overview
    • Environments and URLs
    • Authentication
    • API versioning
    • Rate limiting
    • HTTP headers
    • Pagination, sorting, and filtering
  • General
  • Common
  • Accounts payable
  • Accounts receivable
      • GETGet receivables
      • POSTSearch receivables
      • POSTCreate a draft receivable
      • POSTClone a receivable
      • GETGet a receivable by ID
      • PATCHUpdate a receivable
      • PUTUpdate the line items of a receivable
      • POSTVerify a receivable
      • POSTIssue a receivable
      • GETGet a link to the PDF version of a receivable
      • DELDelete a draft receivable
        • POSTSend a receivable via email
        • POSTPreview a receivable's email message
        • POSTSend a test reminder
        • GETGet a list of all mails sent by receivable
        • GETGet a mail sent by receivable
        • GETGet email template variables
  • E-invoicing
  • Payments
  • Accounting integration
  • Expense management
  • Utilities
LogoLogo
API StatusPartner Portal
Accounts receivableReceivables (invoices, quotes, credit notes)Emails

Preview a receivable's email message

POST
/receivables/:receivable_id/preview
POST
/v1/receivables/:receivable_id/preview
$curl -X POST https://api.sandbox.monite.com/v1/receivables/receivable_id/preview \
> -H "x-monite-version: 2024-05-25" \
> -H "x-monite-entity-id: 9d2b4c8f-2087-4738-ba91-7359683c49a4" \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "body_text": "body_text",
> "subject_text": "subject_text"
>}'
1{
2 "body_preview": "body_preview",
3 "subject_preview": "subject_preview"
4}
You can preview emails only for documents in the following statuses: * Invoices: `draft`, `issued`, `overdue`, `partially_paid`, `paid`. In the [non-compliant mode](https://docs.monite.com/accounts-receivable/regulatory-compliance/invoice-compliance): also `canceled`. * Quotes: `draft`, `issued`. * Credit notes: `draft`, `issued`.
Was this page helpful?
Previous

Send a test reminder

Next
Built with

You can preview emails only for documents in the following statuses:

  • Invoices: draft, issued, overdue, partially_paid, paid. In the non-compliant mode: also canceled.
  • Quotes: draft, issued.
  • Credit notes: draft, issued.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

receivable_idstringRequired
ID of an existing invoice, quote, or credit note.

Headers

x-monite-versionstringRequired
x-monite-entity-idstringRequired
The ID of the entity that owns the requested resource.

Request

This endpoint expects an object.
body_textstringRequired>=1 character
Body text of the content
subject_textstringRequired>=1 character
Subject text of the content
languageenumOptional
Language code for localization purposes
typeenumOptional
The type of the preview document.
Allowed values:

Response

Successful Response
body_previewstring
subject_previewstring

Errors

400
Post Receivables ID Preview Request Bad Request Error
401
Post Receivables ID Preview Request Unauthorized Error
403
Post Receivables ID Preview Request Forbidden Error
404
Post Receivables ID Preview Request Not Found Error
422
Post Receivables ID Preview Request Unprocessable Entity Error
429
Post Receivables ID Preview Request Too Many Requests Error